#include "UIControls.h"

#include "Utils/ChatUtils.h"

auto Hooks::UIControls::callback_getposition(UIControl* _this) -> glm::vec2* {
	glm::vec2* value = uicontrol_getposition(_this);

	for (Mod* mod : Client::modlist) {
		if (!mod->enabled && mod->onlyenabled) continue;

		mod->onUIControlGetPosition(_this, value);
	}

	return value;
}
